# Gimp.Drawable.prototype.get_buffer

    function get_buffer(): Gegl.Buffer {
        // Gjs wrapper for gimp_drawable_get_buffer()
    }

Returns a Gegl.Buffer of a specified drawable. The buffer can be used like any other GEGL buffer. Its data will we synced back with the core drawable when the buffer gets destroyed, or when gegl_buffer_flush() is called.

Since 2.10

Returns

  The Gegl.Buffer.

  See Also: Gimp.Drawable.prototype.get_shadow_buffer